package lingo.common;

import java.net.URI;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

public class WordReader {

	public static List<String> readFileToList(String filename) throws Exception {
		final URI resource = WordReader.class.getResource(filename).toURI();
		return Files.readAllLines(Paths.get(resource));
	}

	public static Set<String> readFileToSet(String filename) throws Exception {
		return new HashSet<>(readFileToList(filename));
	}

}
